ConnectProvider
POST
/auth/v1/providers/connectRequest Body
requiredapplication/json{
"$ref": "#/components/schemas/auth.v1.ConnectProviderRequest",
"$ref-value": {
"type": "object",
"properties": {
"user": {
"allOf": [
{
"$ref": "#/components/schemas/auth.v1.UserRequest",
"$ref-value": {
"type": "object",
"properties": {
"user_id": {
"type": "string",
"title": "user_id"
}
},
"title": "UserRequest",
"additionalProperties": false
}
}
],
"title": "user"
},
"provider": {
"allOf": [
{
"$ref": "#/components/schemas/auth.v1.ExternalAccountProvider",
"$ref-value": {
"type": "string",
"title": "ExternalAccountProvider",
"enum": [
"EXTERNAL_ACCOUNT_PROVIDER_UNSPECIFIED",
"EXTERNAL_ACCOUNT_PROVIDER_GOOGLE",
"EXTERNAL_ACCOUNT_PROVIDER_APPLE",
"EXTERNAL_ACCOUNT_PROVIDER_MICROSOFT",
"EXTERNAL_ACCOUNT_PROVIDER_FACEBOOK",
"EXTERNAL_ACCOUNT_PROVIDER_TELEGRAM"
]
}
}
],
"title": "provider"
},
"token": {
"type": "string",
"title": "token"
},
"country_code": {
"type": "string",
"title": "country_code"
},
"origin": {
"type": "string",
"title": "origin"
}
},
"title": "ConnectProviderRequest",
"additionalProperties": false
}
}Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/auth.v1.TokenResponse",
"$ref-value": {
"type": "object",
"properties": {
"access_token": {
"type": "string",
"title": "access_token"
},
"refresh_token": {
"type": "string",
"title": "refresh_token"
},
"expires_in": {
"type": "string",
"title": "expires_in",
"format": "int64"
},
"token_type": {
"type": "string",
"title": "token_type"
},
"requires_action": {
"type": "string",
"title": "requires_action"
}
},
"title": "TokenResponse",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/auth/v1/providers/connect" \
-H "Content-Type: application/json" \
-d '{}'Success
application/json
{
"$ref": "#/components/schemas/auth.v1.TokenResponse",
"$ref-value": {
"type": "object",
"properties": {
"access_token": {
"type": "string",
"title": "access_token"
},
"refresh_token": {
"type": "string",
"title": "refresh_token"
},
"expires_in": {
"type": "string",
"title": "expires_in",
"format": "int64"
},
"token_type": {
"type": "string",
"title": "token_type"
},
"requires_action": {
"type": "string",
"title": "requires_action"
}
},
"title": "TokenResponse",
"additionalProperties": false
}
}